Bug 255272

Summary: devel/py-pytest-runner: Update to 5.3.0
Product: Ports & Packages Reporter: Gian-Simon Purkert <gspurki>
Component: Individual Port(s)Assignee: Thierry Thomas <thierry>
Status: Closed FIXED    
Severity: Affects Only Me CC: gspurki, thierry, wg
Priority: --- Flags: wg: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/pytest-dev/pytest-runner/commit/eeb10313ae4a80271fd41c2540c0fe53ba45baa5
Attachments:
Description Flags
Update to 5.3.0
none
Upgrade to 5.3.1 and deprecate none

Description Gian-Simon Purkert 2021-04-20 16:53:57 UTC
Created attachment 224301 [details]
Update to 5.3.0
Comment 1 Thierry Thomas freebsd_committer 2021-05-30 20:45:18 UTC
Created attachment 225382 [details]
Upgrade to 5.3.1 and deprecate

Upgrade to 5.3.1.

Also, this port should be deprecated:

pytest-runner depends on deprecated features of setuptools and relies on features that break security mechanisms in pip.
Comment 2 Gian-Simon Purkert 2021-06-07 10:53:15 UTC
So can i close the ticket?
Comment 3 Thierry Thomas freebsd_committer 2021-06-07 11:19:16 UTC
(In reply to Gian-Simon Purkert from comment #2)

Not yes, nothing has been committed. William?
Comment 4 William Grzybowski freebsd_committer 2021-06-07 11:53:12 UTC
Approved

Thanks
Comment 5 William Grzybowski freebsd_committer 2021-06-07 11:53:24 UTC
Feel free to take maintainership
Comment 6 Thierry Thomas freebsd_committer 2021-06-07 18:08:16 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2021-06-07 18:08:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a1e5451ffa481df45779bd912ceb90b0de40cb18

commit a1e5451ffa481df45779bd912ceb90b0de40cb18
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2021-05-30 20:38:38 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2021-06-07 18:08:03 +0000

    devel/py-pytest-runner: upgrade to 5.3.1 and deprecate

    aAccording to upstream: pytest-runner depends on deprecated features of
    setuptools and relies on features that break security mechanisms in pip.

    PR:             255272
    Reported by:    Gian-Simon Purkert
    Approved by:    wg (maintainer=

 devel/py-pytest-runner/Makefile  |  6 ++++--
 devel/py-pytest-runner/distinfo  |  6 +++---
 devel/py-pytest-runner/pkg-descr | 11 +++++++++++
 3 files changed, 18 insertions(+), 5 deletions(-)